/* Global reset */

* {
  box-sizing: border-box;
}

/* Table styling */
table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.whiteBackground {
  border: 0;
  padding: 8px;
  background-color: #ffffff;
}

td {
  padding-top: 0;
  padding-bottom: 0;
}

td:not(.whiteBackground) {
  border: 4px solid #ffffff;
  padding-top: 0px;
  padding-bottom: 0px;  
}

th:not(.whiteBackground) {
  border: 0px solid #ffffff;
  padding-top: 0px;
  padding-bottom: 0px;
}

tr:nth-child(even) {
  background-color: #f2f2f2;
}

tr:hover {
  background-color: #ddd;
}

th {
  font-size: 18px;
  padding-top: 2px;
  padding-bottom: 2px;
  text-align: centre;
  background-color: rgb(147, 142, 148);
  color: white;
}

.listViewHeadings th {
    font-size: 16px;
    text-align: left;
    border: 4px solid #ffffff;
}

.buttons {
  display: inline-flex;
  align-items: center;
  gap: 10px;        /* spacing between items */
  flex-wrap: nowrap;
  white-space: nowrap;   /* <— Safari loves this */
}

.buttons input[type="submit"] {
  background-color: #c8c9c9;   /* or whatever fits your theme */
  color: white;
  border: 1px solid #005a9e;
  width: 70px;     /* button width */
  padding: 1px 1px;
}

.buttons input[type="submit"].btnActive  {
    background-color: #0078d4;   /* or whatever fits your theme */
}

.buttons .labelSort {
  font-weight: bold;
  padding-left: 10px;
}

.buttons .labelPresent {
  font-weight: bold;
}

.btn{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  
}

.btn i {
  vertical-align: middle;
}






.topMenuBar{ /* To enable Safari to put all elements on a single menu bar line */
  display: flex;
}

/* Buttons */
#deleteButton {
  margin-left: 90px;
}

/* Utility */
.float-left-child {
  float: left;
}

/* Error messages */
.error {
  color: #FF0000;
}




